ELException (JSP 2.3 API Documentation - Apache Tomcat 9.0.119)
Description: declaration: package: javax.servlet.jsp.el, class: ELException

# Class ELException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.servlet.jsp.el.ELException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ELParseException`

public class ELException extends Exception
Deprecated.
As of JSP 2.1, replaced by javax.el.ELException
Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Since:
  JSP 2.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELException()`
  Deprecated.
  Creates an ELException with no detail message.
  `ELException(String pMessage)`
  Deprecated.
  Creates an ELException with the provided detail message.
  `ELException(String pMessage, Throwable pRootCause)`
  Deprecated.
  Creates an ELException with the given detail message and root cause.
  `ELException(Throwable pRootCause)`
  Deprecated.
  Creates an ELException with the given root cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getRootCause()`
  Deprecated.
  Returns the root cause.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELException

    public ELException()
    Deprecated.
    Creates an ELException with no detail message.

  - ### ELException

    public ELException(String pMessage)
    Deprecated.
    Creates an ELException with the provided detail message.
    Parameters:
      `pMessage` - the detail message

  - ### ELException

    public ELException(Throwable pRootCause)
    Deprecated.
    Creates an ELException with the given root cause.
    Parameters:
      `pRootCause` - the originating cause of this exception

  - ### ELException

    public ELException(String pMessage, Throwable pRootCause)
    Deprecated.
    Creates an ELException with the given detail message and root cause.
    Parameters:
      `pMessage` - the detail message
      `pRootCause` - the originating cause of this exception

- ## Method Details

  - ### getRootCause

    public Throwable getRootCause()
    Deprecated.
    Returns the root cause.
    Returns:
      the root cause of this exception